﻿
@{
    ViewBag.Title = "Index";
}

<div class="container">
    <div class="row justify-content-center">
        <div class="panel panel-default" style="margin-top: 25px">
            <div class="panel-heading text-center">Formulario Persona</div>
            <div class="panel-body">
                <form name="registro" ng-submit="registrar()" novalidate>
                    <div class="form-group row">
                        <label for="nombre" class="col-sm-2 col-sm-offset-4 col-form-label">Nombre</label>
                        <div class="col-sm-4">
                            <input type="text" class="form-control" id="nombre" ng-model="persona.nombre" required>
                            <!--<span ng-show="nombreInvalido">Por favor, introduzca un nombre</span>-->
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="apellido" class="col-sm-2 col-sm-offset-4 col-form-label">Apellido</label>
                        <div class="col-sm-4">
                            <input type="text" class="form-control" id="apellido" ng-model="persona.apellido" required>
                            @*<span ng-show="apellidoInvalido">Por favor, introduzca un apellido</span>*@
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="fecha" class="col-sm-2 col-sm-offset-4 col-form-label">Fecha Nacimiento</label>
                        <div class="col-sm-4">
                            <input type="text" class="form-control" id="fecha" ng-model="persona.fecha" required>
                            @*<span ng-show="fechaInvalido">Por favor, introduzca una fecha</span>*@
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="direccion" class="col-sm-2 col-sm-offset-4 col-form-label">Direccion</label>
                        <div class="col-sm-4">
                            <input type="text" class="form-control" id="direccion" ng-model="persona.direccion">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="telefono" class="col-sm-2 col-sm-offset-4 col-form-label">Telefono</label>
                        <div class="col-sm-4">
                            <input type="text" class="form-control" id="telefono" ng-model="persona.telefono">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="correo" class="col-sm-2 col-sm-offset-4 col-form-label">Correo</label>
                        <div class="col-sm-4">
                            <input type="text" class="form-control" id="correo" ng-model="persona.correo" required>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-md-4 col-sm-offset-6">
                            <button type="button" ng-click="reset()" class="btn btn-danger">Cancelar</button>
                            <button type="button" ng-click="save()" class="btn btn-primary">Aceptar</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

